Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Class StandardOutputLogging.LoggingPrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.gradle.api.logging.StandardOutputLogging.LoggingPrintStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

Enclosing class:
  StandardOutputLogging

    public static class StandardOutputLogging.LoggingPrintStream

extends java.io.PrintStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`StandardOutputLogging.LoggingPrintStream(org.gradle.logging.StandardOutputLoggingAdapter out)`

Method Summary
`org.gradle.logging.StandardOutputLoggingAdapter` | `getStandardOutputLoggingAdapter()`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardOutputLogging.LoggingPrintStream

    public StandardOutputLogging.LoggingPrintStream(org.gradle.logging.StandardOutputLoggingAdapter out)

Method Detail

### getStandardOutputLoggingAdapter

    public org.gradle.logging.StandardOutputLoggingAdapter getStandardOutputLoggingAdapter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD